# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import unittest

import swagger_client
from swagger_client.api.model_api import ModelApi  # noqa: E501
from swagger_client.rest import ApiException


class TestModelApi(unittest.TestCase):
    """ModelApi unit test stubs"""

    def setUp(self):
        self.api = ModelApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_download_model_cv(self):
        """Test case for download_model_cv

        download model cross-validation matrix  # noqa: E501
        """
        pass

    def test_download_model_fe(self):
        """Test case for download_model_fe

        download model features importances  # noqa: E501
        """
        pass

    def test_download_model_hp(self):
        """Test case for download_model_hp

        download model hyperparameters  # noqa: E501
        """
        pass

    def test_get_model_analysis(self):
        """Test case for get_model_analysis

        List model featureImportances  # noqa: E501
        """
        pass

    def test_get_model_by_id(self):
        """Test case for get_model_by_id

        Find model by ID  # noqa: E501
        """
        pass

    def test_get_model_fe(self):
        """Test case for get_model_fe

        List model featureImportances  # noqa: E501
        """
        pass

    def test_get_model_fei(self):
        """Test case for get_model_fei

        List model feature engineering importances  # noqa: E501
        """
        pass

    def test_get_modeldyanmic(self):
        """Test case for get_modeldyanmic

        get model dynamic analysis  # noqa: E501
        """
        pass

    def test_get_modelgain(self):
        """Test case for get_modelgain

        get model gain  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
